# Trait scopeguard::Strategy [−] [src]

    pub trait Strategy {
        fn should_run() -> bool;
    }

Controls in which cases the associated code should be run

## Required methods

### `fn should_run() -> bool` [src]

Return `true` if the guard’s associated code should run (in the context where this method is called).

Loading content...

## Implementors

### `impl Strategy for Always` [src]

#### `fn should_run() -> bool` [src]

Loading content...